CVE-2017-11613

NameCVE-2017-11613
DescriptionIn LibTIFF 4.0.8, there is a denial of service vulnerability in the TIFFOpen function. A crafted input will lead to a denial of service attack. During the TIFFOpen process, td_imagelength is not checked. The value of td_imagelength can be directly controlled by an input file. In the ChopUpSingleUncompressedStrip function, the _TIFFCheckMalloc function is called based on td_imagelength. If we set the value of td_imagelength close to the amount of system memory, it will hang the system or trigger the OOM killer.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs869823

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)wheezy4.0.2-6+deb7u5vulnerable
wheezy (security)4.0.2-6+deb7u16vulnerable
jessie (security), jessie4.0.3-12.3+deb8u4vulnerable
stretch (security), stretch4.0.8-2+deb9u1vulnerable
buster, sid4.0.8-5vulnerable
tiff3 (PTS)wheezy3.9.6-11vulnerable
wheezy (security)3.9.6-11+deb7u8vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)(unfixed)medium869823
tiff3source(unstable)(unfixed)medium

Notes

https://gist.github.com/dazhouzhou/1a3b7400547f23fe316db303ab9b604f

Search for package or bug name: Reporting problems